depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase', True),
  ('StreamingImageIOBase', 'itk::StreamingImageIOBase', 'itkStreamingImageIOBase', True),
  ('ImageIOFactory', 'itk::ImageIOFactory', 'itkImageIOFactory', True),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames', True),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames', True),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames', True),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', True, 'itk::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF3', True, 'itk::Image< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS2', True, 'itk::VectorImage< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', True, 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', True, 'itk::VectorImage< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS3', True, 'itk::VectorImage< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC3', True, 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF3', True, 'itk::VectorImage< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', True, 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF3', True, 'itk::Image< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS2', True, 'itk::VectorImage< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', True, 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', True, 'itk::VectorImage< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS3', True, 'itk::VectorImage< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC3', True, 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF3', True, 'itk::VectorImage< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', True, 'itk::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF3', True, 'itk::Image< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC2IRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC2IRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC3IRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF22IVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF23IVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF32IVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF33IVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF42IVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF43IVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF22ICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF23ICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF32ICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >, itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF33ICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF42ICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >, itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF43ICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF2ICF2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF2', True, 'itk::Image< std::complex< float >,3 >,itk::Image< std::complex< float >,2 >'),
)
